// MyActionLimit.h

#ifndef My__MyActionLimit
#define My__MyActionLimit


// Dependencies

#include "Aria.h"

#include "vec2.h"

class ProbabilityMap;
class RobotHandler;


// MyActionLimit class
class MyActionLimit : public ArAction {
	public:
		MyActionLimit(ProbabilityMap *map, RobotHandler *robotHandler, double mapScale);
		virtual ~MyActionLimit();
		
		virtual ArActionDesired* fire(ArActionDesired currentDesired);
	
	
	protected:
		ProbabilityMap		*m_map;
		RobotHandler		*m_robotHandler;
		double				m_mapScale;
		
		ArActionDesired		m_desired;
		
		ArMutex				m_mutex;
		
		double				m_speed;
};


#endif
