// Ray.h

#ifndef My__Ray
#define My__Ray


// Dependencies

#include "vec2.h"


// Ray struct
// A ray from p0 to p1
// Used for sonar detections
struct Ray {
	vec2d		p0;// Start-point (robot)
	vec2d		p1;// End-point (hit-point or max range)
	bool		endHit;// Did the ray hit something?
	bool		valid;// Is this a valid ray that should be used?
};


#endif
