// EdgeFinder.h

#ifndef My__EdgeFinder
#define My__EdgeFinder


#include <vector>


struct Edge {
	int		sx, sy;
	int		ex, ey;
};

// Settings for the edge finding algorithm
struct EdgeSettings {
	int				thres;
	
	int				minEdgeLen;
	int				minStartLen;
	int				maxYMiss;
	int				minCenterMoveY;
	
	int				minXDist;
	int				maxXDist;
	int				dirNum;
	int				dirDen;
};


void findEdges(unsigned char *data, int w, int h, std::vector<Edge> &edges, EdgeSettings *settings);


#endif
