// strstuff.cpp

// String parsing and such..
// This might be in the standard-library.. in which case it should probably
// be replaced

#include "strstuff.h"
#include <string.h>


// Get line
int getLine(const char *data, int len, int start) {
	for(int i=start+1;i<len;i++) {
		if(data[i] == '\n' && data[i-1] == '\r') {
			return i+1-start;
		}
	}
	
	return 0;
}// getLine


// Find char
int findChar(const char *data, int len, char c, int start) {
	for(int i=start;i<len;i++) {
		if(data[i] == c) {
			return i-start;
		}
	}
	
	return len-start;
}// findChar


// Find not char
int findNotChar(const char *data, int len, char c, int start) {
	for(int i=start;i<len;i++) {
		if(data[i] != c) {
			return i-start;
		}
	}
	
	return len-start;
}// findNotChar


// Check ASCII string equality, case in-sensitive
bool strEqC(const char *str, int len, const char *cstr) {
	if((int)strlen(cstr) == len) {
		for(int i=0;i<len;i++) {
			char	c1 = str[i];
			char	c2 = cstr[i];
			
			if(c1 >= 'A' && c1 <= 'Z')
				c1 += ('a' - 'A');
			if(c2 >= 'A' && c2 <= 'Z')
				c2 += ('a' - 'A');
			if(c1 != c2)
				return false;
		}
		
		return true;
	}
	else
		return false;
}// strEqC
